<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:simpletransformation="http://petals.ow2.org/simpletransformation">

	<xsl:output method="xml" indent="yes" />

	<xsl:template match="/">
		<xsl:element name="simpletransformation:document" namespace="http://petals.ow2.org/simpletransformation">
			<xsl:attribute name="simpletransformation:id" namespace="http://petals.ow2.org/simpletransformation">
				<xsl:value-of select="/*[local-name()='request']/*[local-name()='documentid']" />
			</xsl:attribute>
			<xsl:element name="simpletransformation:name" namespace="http://petals.ow2.org/simpletransformation">
				<xsl:value-of select="/*[local-name()='request']/*[local-name()='name']" />
			</xsl:element>
			<xsl:element name="simpletransformation:area" namespace="http://petals.ow2.org/simpletransformation">
				<xsl:value-of select="/*[local-name()='request']/*[local-name()='city']" />
				<xsl:text> - </xsl:text>
				<xsl:value-of select="/*[local-name()='request']/*[local-name()='street']" />
			</xsl:element>
		</xsl:element>
	</xsl:template>

</xsl:stylesheet>
